package com.liaobo.im.ui.me;

import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.TextView;

import com.liaobo.im.R;
import com.liaobo.im.bean.Prefix;
import com.liaobo.im.ui.base.BaseActivity;

import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.ListIterator;

/**
 * 绑定账号
 */
public class TXDetailActivity extends BaseActivity implements View.OnClickListener, AdapterView.OnItemClickListener {

    private TextView tv_card_id, tv_money;
    private Button exit_btn;

    private String amount, mCard;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tx_detail);
//        EventBusHelper.register(this);
        initActionBar();
        initView();
        getBindInfo();
    }

    private void initActionBar() {
        getSupportActionBar().hide();
        findViewById(R.id.iv_title_left).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
        TextView tvTitle = (TextView) findViewById(R.id.tv_title_center);
        tvTitle.setText("提现详情");
    }

    private void initView() {
        amount = getIntent().getStringExtra("amount");
        mCard = getIntent().getStringExtra("card");

        tv_card_id = (TextView) findViewById(R.id.tv_card_id);
                tv_money = (TextView) findViewById(R.id.tv_money);
        tv_card_id.setText("尾号("+mCard + ")");
        tv_money.setText(amount);

        exit_btn = (Button) findViewById(R.id.exit_btn);
        exit_btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });

//        mLv = (ListView) findViewById(R.id.lv_addr);
//        prefixList.add(new Prefix());
//        prefixList.add(new Prefix());
//        prefixList.add(new Prefix());
//
//        prefixList = InternationalizationHelper.getPrefixList();
//        prefixAdapter = new PrefixAdapter(prefixList);
//        mLv.setAdapter(prefixAdapter);
//
//        mLv.setOnItemClickListener(this);
    }

    // 获取用户的设置状态
    private void getBindInfo() {
//        DialogHelper.showDefaulteMessageProgressDialog(this);
//        HttpUtils.get().url(coreManager.getConfig().USER_GET_BAND_ACCOUNT)
//                .params("access_token", coreManager.getSelfStatus().accessToken)
//                .build()
//                .execute(new JsonCallback() {
//
//                    @Override
//                    public void onResponse(String result) {
//                        DialogHelper.dismissProgressDialog();
//
//                        JSONObject json = JSONObject.parseObject(result);
//                        JSONArray array = json.getJSONArray("data");
//                        isBandWx = array != null && array.size() > 0;
//                        updateUi();
//                    }
//
//                    @Override
//                    public void onError(Call call, Exception e) {
//                        DialogHelper.dismissProgressDialog();
//                        updateUi();
//                    }
//                });
    }

    @Override
    public void onClick(View v) {



    }


    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

    }

    private class PrefixAdapter extends BaseAdapter {
        private List<Prefix> data;

        public PrefixAdapter(List<Prefix> data) {
            sort(data);
            this.data = data;
        }

        private void sort(List<Prefix> list) {
            Object[] a = list.toArray();
            Comparator<Prefix> c = new Comparator<Prefix>() {
                @Override
                public int compare(Prefix o1, Prefix o2) {
                    return o1.getEnName().compareTo(o2.getEnName());
                }
            };
            Arrays.sort(a, (Comparator) c);
            ListIterator<Prefix> i = list.listIterator();
            for (Object e : a) {
                i.next();
                i.set((Prefix) e);
            }
        }


        public void setData(List<Prefix> data) {
            sort(data);
            this.data = data;
            notifyDataSetChanged();
        }

        @Override
        public int getCount() {
            return data == null ? 0 : data.size();
        }

        @Override
        public Object getItem(int position) {
            return data.get(position);
        }

        @Override
        public long getItemId(int position) {
            return 0;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            PrefixAdapter.ViewHolder holder;
            if (convertView == null) {
                holder = new PrefixAdapter.ViewHolder();
                convertView = View.inflate(mContext, R.layout.item_bankcard, null);
                holder.tvBankName = (TextView) convertView.findViewById(R.id.tv_bank_name);
                holder.tvName = (TextView) convertView.findViewById(R.id.tv_name);
                holder.tvCardnum = (TextView) convertView.findViewById(R.id.tv_card_num);
                convertView.setTag(holder);
            } else {
                holder = (PrefixAdapter.ViewHolder) convertView.getTag();
            }
            holder.tvBankName.setText("邮政银行");
            holder.tvName.setText("asdf");
            holder.tvCardnum.setText("12354112341234");
            return convertView;
        }

        private class ViewHolder {
            TextView tvBankName, tvName, tvCardnum;
        }
    }
}
