package com.liaobo.im.view;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.view.Gravity;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;

import com.liaobo.im.R;
import com.liaobo.im.util.ScreenUtil;

public class RedPacketGrabDialog extends Dialog implements View.OnClickListener {
    private ISecondCallback secondCallback;

    public RedPacketGrabDialog(@NonNull Context context) {
        super(context, R.style.BottomDialog);

    }

    public void setSecondCallback(ISecondCallback secondCallback) {
        this.secondCallback = secondCallback;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_grab_packet);
        setCanceledOnTouchOutside(true);
        initView();
    }

    private void initView() {
        findViewById(R.id.tv1).setOnClickListener(this);
        findViewById(R.id.tv2).setOnClickListener(this);
        findViewById(R.id.tv3).setOnClickListener(this);
        findViewById(R.id.tv4).setOnClickListener(this);
        findViewById(R.id.tv5).setOnClickListener(this);
        findViewById(R.id.tv6).setOnClickListener(this);
        findViewById(R.id.tv6).setOnClickListener(this);
        findViewById(R.id.tv7).setOnClickListener(this);


        Window o = getWindow();
        WindowManager.LayoutParams lp = o.getAttributes();
        lp.width = ScreenUtil.getScreenWidth(getContext());
        o.setAttributes(lp);
        this.getWindow().setGravity(Gravity.BOTTOM);
        this.getWindow().setWindowAnimations(R.style.BottomDialog_Animation);
    }

    @Override
    public void onClick(View v) {
        int secondTime ;
        dismiss();
        switch (v.getId()) {
            case R.id.tv1:
                secondTime = -1;
                break;
            case R.id.tv2:
                secondTime =0;

                break;
            case R.id.tv3:
                secondTime= 5;

                break;
            case R.id.tv4:
                secondTime= 10;

                break;
            case R.id.tv5:
                secondTime= 15;
                break;
            case R.id.tv6:
                secondTime= 30;
                break;
            case R.id.tv7:
                secondTime= 60;
                break;
            default:
                secondTime=-1;
                break;
        }
        if (secondCallback!=null){
            secondCallback.callback(secondTime);
        }
    }
    public interface ISecondCallback{
        void callback(int second);

    }
}
